/*
 * (c) Bernd Müller & Harald Wehr, www.jpainfo.de
 */
package de.jpainfo.model;

import java.math.BigDecimal;

import java.util.HashSet;
import java.util.Set;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.OneToMany;

@Entity
public class Konto {

	@Id @GeneratedValue
	private Integer kontonummer;
	@Column(precision = 10, scale = 2)
	private BigDecimal kontostand;
	
	
	@OneToMany(mappedBy = "konto")
	private Set<Verfuegung> verfuegungen;
	
	
	
	public Konto() {
		kontostand = BigDecimal.ZERO.setScale(2);
		verfuegungen = new HashSet<Verfuegung>();
	}

	
	public void addKunde() {
		
	}
	
	// Getter und Setter
	public Integer getKontonummer() {
		return kontonummer;
	}

	public BigDecimal getKontostand() {
		return kontostand;
	}
	public void setKontostand(BigDecimal kontostand) {
		this.kontostand = kontostand;
	}


	public Set<Verfuegung> getVerfuegungen() {
		return verfuegungen;
	}


	public void setVerfuegungen(Set<Verfuegung> verfuegungen) {
		this.verfuegungen = verfuegungen;
	}




	
}
