package de.jpainfo.model;

import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.IdClass;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

@Entity
@IdClass(VerfuegungId.class)
public class Verfuegung {
	
	@Id 
	@ManyToOne(optional = false)
	@JoinColumn(name = "kunde")
	private Kunde kunde;

	@Id 
	@ManyToOne(optional = false)
	@JoinColumn(name = "konto")
	private Konto konto;

	@Temporal(TemporalType.DATE)
	private Date von;
	@Temporal(TemporalType.DATE)
	private Date bis;
	
	
	
	public Verfuegung() {
	}
	
	public Verfuegung(Kunde kunde, Konto konto, Date von, Date bis) {
		super();
		this.kunde = kunde;
		this.konto = konto;
		this.von = von;
		this.bis = bis;
	}




	public Kunde getKunde() {
		return kunde;
	}
	public void setKunde(Kunde kunde) {
		this.kunde = kunde;
	}

	
	public Konto getKonto() {
		return konto;
	}
	public void setKonto(Konto konto) {
		this.konto = konto;
	}


	public Date getVon() {
		return von;
	}


	public void setVon(Date von) {
		this.von = von;
	}


	public Date getBis() {
		return bis;
	}


	public void setBis(Date bis) {
		this.bis = bis;
	}

	
}
